<!-- -------------------- ./doc/part_listfil.html -------------------- -->

 <form id="listFileForm" method="post" action="<?php echo $this->URL->GetDosMethod('ActionOnFiles'); ?>">
 <input name="DID" value="<?php echo $this->DOSINFO['did']; ?>" type="hidden">
 <input id="listFileAction" name="ACTION" value="none" type="hidden">

<?php 
foreach($this->DOSINFO['filelist'] as $ind => $value):
  $furl = $this->URL->GetInnerData($value);
?>
     <div class="form-check">
       <input class="form-check-input" type="checkbox" value="<?php echo $value; ?>" name="CFI[]" >
       <label class="form-check-label mside-item" for="defaultCheck1">
	 <a href="<?php echo $furl; ?>"><?php echo $value; ?></a>
       </label>
     </div>
<?php endforeach; ?>
 </form>
 <button type="button" class="btn btn-sm btn-outline-secondary tousel" onclick="ToggleListAll()"><i class="fas fa-arrow-up"></i>&nbsp;tout (dé)selectionner</button>

<script>
function ToggleListAll() {
   $('#listFileForm input').each(function() {
     var sts = $(this).prop('checked');
     if ( sts ) {
       $(this).prop('checked',false);
     } else {
       $(this).prop('checked',true);
     }
   })
}
</script>

